sailpoint.object

## Class ProvisioningPlan.ObjectRequest

- java.lang.Object
- - AbstractXmlObject
  - - sailpoint.object.ProvisioningPlan.AbstractRequest
    - - sailpoint.object.ProvisioningPlan.ObjectRequest

Enclosing interface:
  ProvisioningPlan

    public static class ProvisioningPlan.ObjectRequest
    extends ProvisioningPlan.AbstractRequest

### Constructor Summary

Constructors
Constructor and Description
`ObjectRequest()`
`ObjectRequest(java.util.Map map)`
`ObjectRequest(ProvisioningPlan.ObjectRequest src)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.String` `getRequestID()`
`java.lang.String` `getTargetClass()` Deprecated. use `ProvisioningPlan.AbstractRequest.getType()` Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator.
`java.lang.String` `getTargetId()` Deprecated. Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.
`java.lang.String` `getTargetName()` Deprecated. use `ProvisioningPlan.AbstractRequest.getNativeIdentity()` Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.
`Reference` `getTargetReference()` Deprecated. Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.
`boolean` `hasNoAttributesOrPermissions()`
`ProvisioningPlan.AbstractRequest` `instantiate()` Must be implemented in the subclass to create the same class of object from another.
`void` `setRequestID(java.lang.String id)`
`void` `setTargetClass(java.lang.String clazz)` Deprecated. use `ProvisioningPlan.AbstractRequest.setType(String)` Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator.
`void` `setTargetId(java.lang.String targetId)` Deprecated. Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.
`void` `setTargetName(java.lang.String targetName)` Deprecated. use `ProvisioningPlan.AbstractRequest.setNativeIdentity(String)` Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.
`void` `setTargetReference(Reference ref)` Deprecated. use `ProvisioningPlan.AbstractRequest.setType(String)` and `ProvisioningPlan.AbstractRequest.setNativeIdentity(String)` Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.

### Methods inherited from class sailpoint.object.ProvisioningPlan.AbstractRequest

`add, addAll, addArgument, addAssignmentIds, clone, cloneRequest, cloneRequestProperties, collapse, fromMap, get, getAccountSelector, getAccountSelectorRule, getApplication, getApplication, getApplicationName, getArgument, getArguments, getAssignmentIdList, getAssignmentIds, getAttributeRequest, getAttributeRequests, getAttributeRequests, getComments, getInstance, getNativeIdentity, getOp, getPermissionRequest, getPermissionRequests, getPermissionRequests, getRequest, getResult, getSourceRole, getString, getTargetIntegration, getTrackingId, getType, getUnmappedApplication, getUuid, hasAssignmentId, isAccountRequest, isCleanable, isEmpty, isGroupRequest, isTargetMatch, put, remove, setAccountSelector, setAccountSelectorRule, setApplication, setArguments, setAssignmentIds, setAttributeRequests, setCleanable, setComments, setInstance, setNativeIdentity, setOp, setPermissionRequests, setResult, setSourceRole, setTargetIntegration, setTrackingId, setType, setUnmappedApplication, setUuid, toMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectRequest

    public ObjectRequest()

#### ObjectRequest

    public ObjectRequest(java.util.Map map)

#### ObjectRequest

    public ObjectRequest(ProvisioningPlan.ObjectRequest src)

### Method Detail

#### instantiate

    public ProvisioningPlan.AbstractRequest instantiate()

Description copied from class: `ProvisioningPlan.AbstractRequest`
Must be implemented in the subclass to create the same class of object from another.

Specified by:
  `instantiate` in class `ProvisioningPlan.AbstractRequest`

#### setTargetClass

    @Deprecated
    public void setTargetClass(java.lang.String clazz)

Deprecated. use `ProvisioningPlan.AbstractRequest.setType(String)` Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator.

#### setRequestID

    public void setRequestID(java.lang.String id)

#### getRequestID

    public java.lang.String getRequestID()

#### getTargetClass

    @Deprecated
    public java.lang.String getTargetClass()

Deprecated. use `ProvisioningPlan.AbstractRequest.getType()` Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator.

#### setTargetId

    @Deprecated
    public void setTargetId(java.lang.String targetId)

Deprecated. Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.

#### getTargetId

    @Deprecated
    public java.lang.String getTargetId()

Deprecated. Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.

#### setTargetName

    @Deprecated
    public void setTargetName(java.lang.String targetName)

Deprecated. use `ProvisioningPlan.AbstractRequest.setNativeIdentity(String)` Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.

#### getTargetName

    @Deprecated
    public java.lang.String getTargetName()

Deprecated. use `ProvisioningPlan.AbstractRequest.getNativeIdentity()` Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.

#### setTargetReference

    @Deprecated
    public void setTargetReference(Reference ref)

Deprecated. use `ProvisioningPlan.AbstractRequest.setType(String)` and `ProvisioningPlan.AbstractRequest.setNativeIdentity(String)` Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.

#### getTargetReference

    @Deprecated
    public Reference getTargetReference()

Deprecated. Temporary backward compatibility for parsing objects created with older versions of RemediationCalculator. This one we ignore and assume that name will come in too.

#### hasNoAttributesOrPermissions

    public boolean hasNoAttributesOrPermissions()